Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Trying to install a new version of iw. After extracting, i run the "make" command.

/bin/sh/: 1: pkg-config: not found

Can not found any development files for libnl

I have installed libnl-3-200 libnl-3-dev over the apt-get install command. There is not any libnl.pc file /usr/lib/pkgconfig directory. I dont know how to fix this problem. Appreciate any help.

share|improve this question

1 Answer 1

Please do:

sudo apt-get install libnl-3-dev libnl-genl-3-dev
make clean
make

iw-3.11 then 'makes' without error or warning for me in Ubuntu 13.10.

share|improve this answer
    
i have installed libnl-genl-3-dev... still the same problem –  MR.ABC Oct 25 '13 at 0:20
    
Are you trying to compile the same version of wl? Which kernel version? uname -r –  chili555 Oct 25 '13 at 0:35
    
3.2.0 is the version. Can you do me a favoir ? Copy and upload the files of libnl inside /usr/lib/pkgconfig. The ".pc" files. I would be very thankful. –  MR.ABC Oct 25 '13 at 0:39
    
I have: dbus-python.pc libquvi-scripts.pc notify-python.pc pygoocanvas.pc xvmc.pc ibus-table.pc nautilus-sendto.pc pm-utils.pc xorg-wacom.pc but nothing at all related to libnl. Which wl version are you compiling? I suggest you try iw-3.2. –  chili555 Oct 25 '13 at 0:44

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.